Author: marcusb-guest
Date: 2008-09-07 20:13:54 +0000 (Sun, 07 Sep 2008)
New Revision: 6977

Modified:
   trunk/tomcat5.5/debian/changelog
   trunk/tomcat5.5/debian/tomcat5.5.init
Log:
Do not attempt to launch the daemon if the tomcat5.5 package was been
removed but not purged.

Modified: trunk/tomcat5.5/debian/changelog
===================================================================
--- trunk/tomcat5.5/debian/changelog    2008-09-05 08:29:54 UTC (rev 6976)
+++ trunk/tomcat5.5/debian/changelog    2008-09-07 20:13:54 UTC (rev 6977)
@@ -1,6 +1,8 @@
 tomcat5.5 (5.5.26-3) UNRELEASED; urgency=low
 
   * Recognize OpenJDK 6 from the openjdk-6-jdk package.
+  * Do not attempt to launch the daemon if the tomcat5.5 package was been
+    removed but not purged.
 
  -- Marcus Better <[EMAIL PROTECTED]>  Mon, 11 Aug 2008 12:44:19 +0000
 

Modified: trunk/tomcat5.5/debian/tomcat5.5.init
===================================================================
--- trunk/tomcat5.5/debian/tomcat5.5.init       2008-09-05 08:29:54 UTC (rev 
6976)
+++ trunk/tomcat5.5/debian/tomcat5.5.init       2008-09-07 20:13:54 UTC (rev 
6977)
@@ -27,6 +27,8 @@
 CATALINA_HOME=/usr/share/$NAME
 DEFAULT=/etc/default/$NAME
 
+[ -r $CATALINA_HOME/bin/startup.sh ] || exit 0
+
 if [ `id -u` -ne 0 ]; then
        echo "You need root privileges to run this script"
        exit 1


_______________________________________________
pkg-java-commits mailing list
[email protected]
http://lists.alioth.debian.org/mailman/listinfo/pkg-java-commits

Reply via email to